Last Comment Bug 759671 - Extra semicolon at the end of SkMatrix::I() declaration breaks build on OpenBSD
: Extra semicolon at the end of SkMatrix::I() declaration breaks build on OpenBSD
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: Other OpenBSD
: -- normal (vote)
: mozilla15
Assigned To: Landry Breuil (:gaston)
:
Mentors:
Depends on: 755869
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 23:56 PDT by Landry Breuil (:gaston)
Modified: 2012-06-02 12:15 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
remove extra semicolon (2.53 KB, patch)
2012-05-30 00:02 PDT, Landry Breuil (:gaston)
Ms2ger: review+
Details | Diff | Review
Onl apply missing chunk from 722011 (936 bytes, patch)
2012-05-30 01:07 PDT, Landry Breuil (:gaston)
Ms2ger: review+
dzbarsky: checkin+
Details | Diff | Review

Description Landry Breuil (:gaston) 2012-05-29 23:56:44 PDT
Patch in a few, see build failure at http://buildbot.rhaalovely.net/builders/mozilla-central-amd64/builds/407/steps/build/logs/stdio

build/gfx/skia/src/core/SkMatrix.cpp:1723: error: extra ';'
Comment 1 Landry Breuil (:gaston) 2012-05-30 00:02:17 PDT
Created attachment 628252 [details] [diff] [review]
remove extra semicolon

Patch i'm currently testing. Note that's a fallout from the main skia update.
Comment 2 Landry Breuil (:gaston) 2012-05-30 00:07:49 PDT
To be more precise the patch effectively reverts http://hg.mozilla.org/mozilla-central/diff/5fb409f61b93/gfx/skia/src/core/SkMatrix.cpp from the update
Comment 3 Landry Breuil (:gaston) 2012-05-30 00:23:43 PDT
And it fixes the build here, fwiw.
Comment 4 :Ms2ger 2012-05-30 00:37:29 PDT
Comment on attachment 628252 [details] [diff] [review]
remove extra semicolon

Review of attachment 628252 [details] [diff] [review]:
-----------------------------------------------------------------

I'll take it. Can you upstream the patch? (Along with fix-comma-end-enum-list.patch, preferably.)

::: gfx/skia/update.sh
@@ +115,5 @@
>  # Bug 731384 - Fix compile errors on older versions of clang
>  patch -p3 < SkPostConfig.patch
>  # Bug 751814 - Various Skia fixes for ARM without EDSP and ARMv6+
>  patch -p3 < arm-fixes.patch
> +# Bug 759671 - Fix extra simicolon at end of SkMatrix::I() declaration

semicolon
Comment 5 Landry Breuil (:gaston) 2012-05-30 01:03:12 PDT
Argh. I've realized that this was already fixed by fix-comma-end-enum-list.patch (see bug 722011, comment 1) so all that's needed is to reapply that chunk which was lost in https://hg.mozilla.org/mozilla-central/rev/04f6554beaa3, there's no need for a newer patch (or the corresponding chunk should be removed from.fix-comma-end-enum-list.patch)
Comment 6 Landry Breuil (:gaston) 2012-05-30 01:07:37 PDT
Created attachment 628260 [details] [diff] [review]
Onl apply missing chunk from 722011
Comment 7 :Ms2ger 2012-05-30 03:02:46 PDT
Comment on attachment 628260 [details] [diff] [review]
Onl apply missing chunk from 722011

Review of attachment 628260 [details] [diff] [review]:
-----------------------------------------------------------------

Er, yes, I checked the other patch and missed the fact that they were actually fixing the same semicolon >.>
Comment 8 David Zbarsky (:dzbarsky) 2012-06-01 15:14:23 PDT
Comment on attachment 628260 [details] [diff] [review]
Onl apply missing chunk from 722011

https://hg.mozilla.org/integration/mozilla-inbound/rev/ebafa3d97c19
Comment 9 :Ehsan Akhgari (out sick) 2012-06-02 12:15:43 PDT
https://hg.mozilla.org/mozilla-central/rev/ebafa3d97c19

Note You need to log in before you can comment on or make changes to this bug.